#include "game.h"
#include <time.h>
#include <stdlib.h>
#include <string.h>

#define MAX_RAND_TRIES_PER_WORD 10
#define EMPTY_CHAR 0

//TODO: Spiellogik implementieren:
/* * Wörter aus der Wortliste zufällig horizontal oder vertikal platzieren
   * restliche Felder mit zufälligen Buchstaben füllen */

// Creates the word salad by placing words randomly and filling empty spaces
int createWordSalad(char salad[MAX_SEARCH_FIELD_LEN][MAX_SEARCH_FIELD_LEN], unsigned int searchFieldLen, const char words[][MAX_WORD_LEN], unsigned int wordCount)
{
   srand(time(NULL));

   for (int i = 0;i < searchFieldLen; i++) {          //Feld mit random Buchstaben füllen
      for (int j = 0; j < searchFieldLen; j++) {
         salad[i][j] = 'A' + (rand() % 26);
      }
      salad[i][j] = 'A' + (rand() % 26);
   }

   wordCount = sizeof(words) / sizeof(words[0]);      //Array das mit der Anzahl der Wörter gefüllt wird
   int wordOrientation[wordCount];

   for (int w = 0;w < wordCount; w++) {               //Randomizer, ob Wort horizontal oder vertikal wird
      wordOrientation[w] = rand() % 2;
   }




   //for (int w = 0,w < wordCount, w++) {
     // const char *words = words[w];
      //int wordlen = strlen (words);
   //}
}

// Prints the word salad to console
void showWordSalad(const char salad[MAX_SEARCH_FIELD_LEN][MAX_SEARCH_FIELD_LEN], unsigned int searchFieldLen)
{

}
